using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CupStation : Station
{
    // Start is called before the first frame update
    void Start()
    {
        
    }

    // Update is called once per frame
    void Update()
    {
        
    }

    public override void InteractInitiated()
    {

    }

    public override void PlayerInteract()
    {
        PlayerInfo player = GetComponent<PlayerInfo>();

        if (player.CurrentlyHoldingADrink)
        {
            player.SayDialogue("I'm already\nholding a drink");
            return;
        }

        Drink newDrink = GetComponent<DrinkManager>().CreateNewDrink();
        player.SetHeldDrink(newDrink);
        PlayAssociatedAudio();

    }

}
